Bug 1351538 - configure Team - Git = Could not initialize class org.eclipse.jgit.util.FS [NEEDINFO]
Summary: configure Team - Git = Could not initialize class org.eclipse.jgit.util.FS
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: eclipse-jgit
Version: 24
Hardware: x86_64
OS: Linux
unspecified
urgent
Target Milestone: ---
Assignee: Mat Booth
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-06-30 09:33 UTC by lejeczek
Modified: 2017-07-26 08:46 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-07-26 08:46:16 UTC
mat.booth: needinfo? (peljasz)


Attachments (Terms of Use)

Description lejeczek 2016-06-30 09:33:54 UTC
Description of problem:

When I try to configure Git I get an error.

An error has occurred. See error log for more details.
Could not initialize class org.eclipse.jgit.util.FS


Version-Release number of selected component (if applicable):

eclipse-egit-4.3.0-2.fc24.noarch
eclipse-egit-github-4.3.0-1.fc24.noarch
eclipse-egit-mylyn-4.3.0-2.fc24.noarch
eclipse-jgit-4.3.0-2.fc24.noarch
java-1.8.0-openjdk-1.8.0.92-3.b14.fc24.x86_64
java-1.8.0-openjdk-devel-1.8.0.92-3.b14.fc24.x86_64
java-1.8.0-openjdk-headless-1.8.0.92-3.b14.fc24.x86_64

How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 1 lejeczek 2016-06-30 09:36:10 UTC
!ENTRY org.eclipse.jface 4 2 2016-06-30 10:35:39.300
!MESSAGE Problems occurred when invoking code from plug-in: "org.eclipse.jface".
!STACK 0
java.lang.NoClassDefFoundError: Could not initialize class org.eclipse.jgit.util.FS
	at org.eclipse.egit.ui.internal.preferences.GlobalConfigurationPreferencePage.init(GlobalConfigurationPreferencePage.java:236)
	at org.eclipse.ui.internal.dialogs.WorkbenchPreferenceNode.createPage(WorkbenchPreferenceNode.java:58)
	at org.eclipse.jface.preference.PreferenceDialog.createPage(PreferenceDialog.java:1280)
	at org.eclipse.ui.internal.dialogs.FilteredPreferenceDialog.createPage(FilteredPreferenceDialog.java:355)
	at org.eclipse.jface.preference.PreferenceDialog.showPage(PreferenceDialog.java:1167)
	at org.eclipse.ui.internal.dialogs.FilteredPreferenceDialog.showPage(FilteredPreferenceDialog.java:608)
	at org.eclipse.jface.preference.PreferenceDialog$5.lambda$0(PreferenceDialog.java:656)
	at org.eclipse.swt.custom.BusyIndicator.showWhile(BusyIndicator.java:70)
	at org.eclipse.jface.preference.PreferenceDialog$5.selectionChanged(PreferenceDialog.java:653)
	at org.eclipse.jface.viewers.StructuredViewer$3.run(StructuredViewer.java:878)
	at org.eclipse.core.runtime.SafeRunner.run(SafeRunner.java:42)
	at org.eclipse.ui.internal.JFaceUtil$1.run(JFaceUtil.java:50)
	at org.eclipse.jface.util.SafeRunnable.run(SafeRunnable.java:173)
	at org.eclipse.jface.viewers.StructuredViewer.firePostSelectionChanged(StructuredViewer.java:875)
	at org.eclipse.jface.viewers.StructuredViewer.handlePostSelect(StructuredViewer.java:1244)
	at org.eclipse.jface.viewers.StructuredViewer$5.widgetSelected(StructuredViewer.java:1270)
	at org.eclipse.jface.util.OpenStrategy.firePostSelectionEvent(OpenStrategy.java:265)
	at org.eclipse.jface.util.OpenStrategy.access$5(OpenStrategy.java:259)
	at org.eclipse.jface.util.OpenStrategy$1.lambda$1(OpenStrategy.java:431)
	at org.eclipse.swt.widgets.RunnableLock.run(RunnableLock.java:35)
	at org.eclipse.swt.widgets.Synchronizer.runAsyncMessages(Synchronizer.java:182)
	at org.eclipse.swt.widgets.Display.runAsyncMessages(Display.java:4517)
	at org.eclipse.swt.widgets.Display.readAndDispatch(Display.java:4135)
	at org.eclipse.jface.window.Window.runEventLoop(Window.java:818)
	at org.eclipse.jface.window.Window.open(Window.java:794)
	at org.eclipse.ui.internal.dialogs.WorkbenchPreferenceDialog.open(WorkbenchPreferenceDialog.java:211)
	at org.eclipse.ui.internal.OpenPreferencesAction.run(OpenPreferencesAction.java:63)
	at org.eclipse.jface.action.Action.runWithEvent(Action.java:473)
	at org.eclipse.jface.action.ActionContributionItem.handleWidgetSelection(ActionContributionItem.java:565)
	at org.eclipse.jface.action.ActionContributionItem.lambda$4(ActionContributionItem.java:397)
	at org.eclipse.swt.widgets.EventTable.sendEvent(EventTable.java:84)
	at org.eclipse.swt.widgets.Display.sendEvent(Display.java:5208)
	at org.eclipse.swt.widgets.Widget.sendEvent(Widget.java:1340)
	at org.eclipse.swt.widgets.Display.runDeferredEvents(Display.java:4542)
	at org.eclipse.swt.widgets.Display.readAndDispatch(Display.java:4132)
	at org.eclipse.e4.ui.internal.workbench.swt.PartRenderingEngine$4.run(PartRenderingEngine.java:1119)
	at org.eclipse.core.databinding.observable.Realm.runWithDefault(Realm.java:336)
	at org.eclipse.e4.ui.internal.workbench.swt.PartRenderingEngine.run(PartRenderingEngine.java:1020)
	at org.eclipse.e4.ui.internal.workbench.E4Workbench.createAndRunUI(E4Workbench.java:150)
	at org.eclipse.ui.internal.Workbench$5.run(Workbench.java:687)
	at org.eclipse.core.databinding.observable.Realm.runWithDefault(Realm.java:336)
	at org.eclipse.ui.internal.Workbench.createAndRunWorkbench(Workbench.java:604)
	at org.eclipse.ui.PlatformUI.createAndRunWorkbench(PlatformUI.java:148)
	at org.eclipse.ui.internal.ide.application.IDEApplication.start(IDEApplication.java:138)
	at org.eclipse.equinox.internal.app.EclipseAppHandle.run(EclipseAppHandle.java:196)
	at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.runApplication(EclipseAppLauncher.java:134)
	at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.start(EclipseAppLauncher.java:104)
	at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:388)
	at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:243)
	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)
	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)
	at java.lang.reflect.Method.invoke(Method.java:498)
	at org.eclipse.equinox.launcher.Main.invokeFramework(Main.java:673)
	at org.eclipse.equinox.launcher.Main.basicRun(Main.java:610)
	at org.eclipse.equinox.launcher.Main.run(Main.java:1519)
	at org.eclipse.equinox.launcher.Main.main(Main.java:1492)

Comment 2 Mat Booth 2016-06-30 20:35:00 UTC
Strange, I have not seen this before. I am able to open this preference page without problem. Did you try doing "eclipse -clean" ?

Comment 3 lejeczek 2016-07-01 09:21:58 UTC
I also stumbled upon this:
https://bugzilla.redhat.com/show_bug.cgi?id=1228138
see my comment #9

Comment 4 lejeczek 2016-07-01 09:28:23 UTC
nope, -clean does not help.

eclipse-platform-4.6.0-0.6.git201605092000.fc24.x86_64

Comment 5 Mat Booth 2016-07-01 22:08:30 UTC
A new version of Egit/Jgit will hit updates-testing soon: https://bodhi.fedoraproject.org/updates/FEDORA-2016-cc924801f2

Please test to see if the issue is still present in the latest version, when it is available.

Comment 6 lejeczek 2016-07-05 09:25:25 UTC
I've been updates-testing, always am. Inasmuch as the other bug seems to be fixed by:
eclipse-egit-4.4.0-1.fc24.noarch and/or eclipse-jgit-4.4.0-4.fc24.noarch
the problem in Eclipse remains.

Comment 7 Mat Booth 2017-01-24 17:42:00 UTC
Hi,

Is it possible for you to test the Fedora 25 versions of egit/jgit? I would like to know if the problem is still there in F25+

Comment 8 Fedora End Of Life 2017-07-25 21:27:31 UTC
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 9 Mat Booth 2017-07-26 08:46:16 UTC
Closing due to no response from reporter in six months.


Note You need to log in before you can comment on or make changes to this bug.